People & profiles

Get My Hris Activity Events

Lists the caller's own employee-initiated activity events, hiding termination-related ones, paginated.

GEThttps://api.toku.com/hris/get-my-hris-activity-events

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-my-hris-activity-events' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "events": [
    {
      "id": "string",
      "eventType": "string",
      "category": "string",
      "title": "string",
      "description": "string",
      "metadata": {},
      "occurredAt": "string",
      "actorName": "string"
    }
  ],
  "total": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

limitinteger

Allowed: 1 to 100

offsetinteger

Allowed: at least 0

Response

200Successful response
eventsobject[]required
Show child attributes
idstringrequired
eventTypestringrequired
categorystringrequired
titlestringrequired
descriptionstring | nullrequired
metadataobjectrequired
occurredAtstringrequired
actorNamestring | nullrequired
totalnumberrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits